Data - Retrieve SLO Data
Ruft SLO-Daten für die bereitgestellte SLO-Anforderung ab
POST http://<Servername>/OperationsManager/data/slo
Anforderungstext
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Erforderlich | Typ | Beschreibung |
|---|---|---|---|
| duration | True |
string |
Dauer |
| slaId | True |
string |
SLA-Kennung |
| slaManagedEntityRowId | True |
integer |
Zeilen-ID der SLA-verwalteten Entität |
| sloId | True |
string |
SLO-Kennung |
| value | True |
integer |
Wert |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
OKAY. SLO-Daten wurden erfolgreich abgerufen. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Beispiele
RetrieveSLOData
Beispielanforderung
POST http://<Servername>/OperationsManager/data/slo
{
"sloId": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"slaId": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"value": 0,
"duration": "10",
"slaManagedEntityRowId": 141
}
Beispiel für eine Antwort
{
"id": null,
"goal": 0,
"desiredObjective": null,
"actualValue": 0
}
Definitionen
| Name | Beschreibung |
|---|---|
|
SLOData |
|
|
SLOData |
SLODataRequest
| Name | Typ | Beschreibung |
|---|---|---|
| duration |
string |
Dauer |
| slaId |
string |
SLA-Kennung |
| slaManagedEntityRowId |
integer |
Zeilen-ID der SLA-verwalteten Entität |
| sloId |
string |
SLO-Kennung |
| value |
integer |
Wert |
SLODataResponse
| Name | Typ | Beschreibung |
|---|---|---|
| actualValue |
number |
Istwert |
| desiredObjective |
string |
Angestrebtes Ziel |
| goal |
number |
SLO-Ziel |
| id |
string |
SLO-Kennung |